delimiter $$
CREATE PROCEDURE write_invoice_with_ifthenelse()
BEGIN
DECLARE no_more_row INTEGER;
DECLARE c_no_var, p_no_var VARCHAR(6);
DECLARE c_name_var VARCHAR(40);
DECLARE p_name_var VARCHAR(40);
DECLARE qty_var INTEGER;
DECLARE price_var DECIMAL(4,2);
DECLARE total_price DECIMAL(7,2);

DECLARE invoice_csr CURSOR FOR
     SELECT c_no,
     c_name,
     p_name,
     qty,
     price  ,
     (qty * price)     
  FROM c_order NATURAL
  JOIN product NATURAL
  JOIN customer
;

DECLARE CONTINUE HANDLER FOR NOT FOUND SET no_more_row=1;

OPEN invoice_csr;
csr_loop: LOOP
        FETCH invoice_csr INTO c_no_var, c_name_var
,p_name_var,qty_var,price_var,total_price;
IF no_more_row = 1 THEN
        LEAVE csr_loop;
END IF;
IF total_price < 10000 THEN
    INSERT INTO invoice VALUES(c_no_var,c_name_var, p_name_var
, qty_var,price_var,total_price);
 ELSE
   INSERT INTO invoice VALUES(c_no_var,c_name_var, p_name_var
 , qty_var,price_var, total_price - (total_price * 0.01));
END IF;
END LOOP;
    CLOSE invoice_csr;
END $$
